<?php
/**
 * @package Helix Ultimate Framework
 * @author JoomShaper https://www.joomshaper.com
 * @copyright Copyright (c) 2010 - 2021 JoomShaper
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or Later
*/

defined ('JPATH_BASE') or die();

use Joomla\CMS\Factory;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Text;

// Create a shortcut for params.
$params  = $displayData->params;
$canEdit = $displayData->params->get('access-edit');

HTMLHelper::addIncludePath(JPATH_COMPONENT.'/helpers/html');

$currentDate   = Factory::getDate()->format('Y-m-d H:i:s'); // Unitemplates
?>

<?php if ($displayData->state == 0) : ?>
    <span class="badge bg-warning"><?php echo Text::_('JUNPUBLISHED'); ?></span>
<?php endif; ?>

<?php if (strtotime($displayData->publish_up) > strtotime(Factory::getDate())) : ?>
    <span class="badge bg-warning"><?php echo Text::_('JNOTPUBLISHEDYET'); ?></span>
<?php endif; ?>

<?php if (JVERSION < 4): ?>
    <?php if ($displayData->publish_down != Factory::getDbo()->getNullDate()
        && (strtotime($displayData->publish_down) < strtotime(Factory::getDate()))) : ?>
        <span class="badge bg-warning"><?php echo Text::_('JEXPIRED'); ?></span>
    <?php endif; ?>
<?php else : ?>
    <?php if ($displayData->publish_down !== null && $displayData->publish_down < $currentDate) : ?>
        <span class="badge bg-warning"><?php echo Text::_('JEXPIRED'); ?></span>
    <?php endif; ?>
<?php endif ?>